//========================================================================
//
// Name: cdbs_sql_gen.h
//
//========================================================================
#ifndef  CDBS_SQL_GEN_H
#define  CDBS_SQL_GEN_H

#define MAX_NAME 80
#define MAXMODE 30

#define ERROR -1
#define OK 0
#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

typedef struct {
  char db_name[MAX_NAME];
  char colname[MAX_NAME];
  int quoted;
}KeyList;

typedef struct {
  int mod;
  int sev;
}EquivClass;

extern int    get_delivery_num(void);
extern int    get_modes(char *, char *, KeyList *mode_key[]);
extern EquivClass *get_new_equiv_class (void);
extern EquivClass *get_old_equiv_class(table *, int, char *, char  *,
                                       KeyList *mode_keys[], int, int *);
extern int    load_expanded(table *, FILE *, int);
extern int    load_unexpanded(table *, FILE *, int);
extern EquivClass *set_equiv_class(char *, char *, EquivClass *,EquivClass *);

#endif
